﻿@model JavnaNabava.Models.KonzorcijViewModel

@{
    ViewData["Title"] = "Konzorcij";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>Konzorcij</h1>
<p><small>
    Ova stranica je Master(složeni tablični prikaz). Kako bi došli na Detail izaberite poveznicu "Detalji". Na ovoj stranici također
    možete provjeriti straničenje te sortiranje po stupcima. Na dnu stranice se nalazi link za dodavanje novog konzorcija u bazu.
    U zadnjem stupcu se još nalaze linkovi za "Uredi" i "Izbriši" koji rade to što im imena govore.
    Klikom na gumb "Izbriši", pojavit će se Confirm koji pita korisnika je li siguran želi li stvarno izbrisati konzorcij.
    "Uredi" i "Dodaj konzorcij" vode na istu stranicu, ali im se funkcionalnosti razlikuju ovisno o tome postoji li već taj konzorcij u bazi.

</small></p>

<pager page-info="@Model.PagingInfo" page-title="Unesite zeljenu stranicu" 
       page-action="Index" class="float-right">
</pager>

<table class="table">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1" 
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">
                Naziv konzorcija</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Adresa sjedišta</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Mjesto</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage" 
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Vrsta konzorcija</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model.Dto) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.konzorcij.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.konzorcij.AdresaSjedista)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.mjesto.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.sifVrstaKonzorcija.Naziv)
            </td>
            <td>
                <a asp-action="Edit" asp-route-Oib="@item.konzorcij.Oib">Uredi</a> |
                <a asp-action="Details" asp-route-Oib="@item.konzorcij.Oib">Detalji</a> |
                <a class="delete" asp-controller="Konzorcij" asp-action="Delete" asp-route-Oib="@item.konzorcij.Oib">Izbriši</a>
            </td>
        </tr>
}
    </tbody>
</table>
<p>
    <a asp-action="Create">Dodaj konzorcij</a>
</p>
